This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 174495 - Review Request: libopensync-plugin-kdepim
Review Request: libopensync-plugin-kdepim
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://www.opensync.org/
:
Depends On: 174486
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-29 10:42 EST by Andreas Bierfert
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-02 17:34:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2005-11-29 10:42:39 EST
Spec Name or Url: http://fedora.lowlatency.de/review/libopensync-plugin-kdepim.spec
SRPM Name or Url:
http://fedora.lowlatency.de/review/libopensync-plugin-kdepim-0.18-1.src.rpm
Description:
KDE plugin for libopensync
Comment 1 Rex Dieter 2005-11-29 11:26:10 EST
1 small comment (which probably can be applied to all/most of the
libopensync-plugin-* pkgs you just submitted):
1.  about naming.  For pkgs that provide "plugin" type services, pkg names are
sometimes/often(*) rooted in what they're a plugin for, so in this case, another
name for this pkg to consider is:
kdepim-opensync

On the other hand, I'm also a strong proponent of following upstream pkg names
too (unless there is good reason to do otherwise, of course).  (-:

(*) precendents include addons/plugins for (off the top of my head) xmms, valgrind
Comment 2 Andreas Bierfert 2005-11-29 11:27:57 EST
Maybe as provide?
Comment 3 Aurelien Bompard 2005-12-12 16:34:54 EST
In my opinion, the foo-bar name means that bar enhances foo. In this case, the
kdepim plugin enhances opensync more than enhances kdepim, so I's stick with the
original name. (on the contrary, 
I didn't find any packaging errors with this plugin, but at the end of the
synchronization, it pops up a kcrash dialog. I've tried adding back the *.la
files and rebuilding it on my system (not in mock), but it still crashes.
Any idea ?
Comment 4 Aurelien Bompard 2005-12-12 16:39:28 EST
Missing end of sentence:
...(on the contrary, for the xmms-arts plugin for example, xmms is enhanced by
the plugin, not arts.)
Comment 5 Andreas Bierfert 2005-12-13 09:29:01 EST
(In reply to comment #3)
> I didn't find any packaging errors with this plugin, but at the end of the
> synchronization, it pops up a kcrash dialog. I've tried adding back the *.la
> files and rebuilding it on my system (not in mock), but it still crashes.
> Any idea ?

What are you trying to sync? I tried evo2 <-> kdepim and it worked a bit... It
has trouble with some of the entries but it did not crash...
Comment 6 Aurelien Bompard 2005-12-13 10:39:37 EST
I'm syncing kdepim with a directory (file-sync plugin). Sometimes it pops up the
kcrash dialog :
The sync was successful
KCrash: Application 'libopensync-kdepim-plugin' crashing...

Sometimes it ouputs:
The sync was successful
*** glibc detected *** msynctool: free(): invalid pointer: 0x08eff0c0 ***
And stops there.

It does not seem to be related to packaging, so it should not block this package
(opensync, and particularly the kde plugin, is under heavy development at the
moment). But you'll be the one assigned to bug reports, so be prepared... :)
Comment 7 Andreas Bierfert 2005-12-15 04:19:01 EST
sure... but then I will bug upstream with it ;)
Comment 8 Andreas Bierfert 2006-03-01 01:52:20 EST
So what shall we do with this?  =) Fine by me if we push this and take reported
matters upstream...
Comment 9 Aurelien Bompard 2006-03-02 11:36:18 EST
Alright then.

Review for release 1:
* RPM name is OK
* Builds fine in mock
* rpmlint of libopensync-plugin-kdepim looks OK
* File list of libopensync-plugin-kdepim looks OK
* Tarball has the same MD5SUM as upstream
* Works (most of the time :) )
APPROVED
Comment 10 Andreas Bierfert 2006-03-02 17:34:38 EST
Imported, fixed ;), pushed.

Thanks for the review...

Note You need to log in before you can comment on or make changes to this bug.